Package eu.mhsl.minenet.minigames.instance.game.minigame.config

# Interface GameFactory

All Known Implementing Classes:
  `DeathcubeFactory`, `MinerunFactory`, `StickFightFactory`, `TrafficLightRaceFactory`

public interface GameFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfigManager`
  `configuration()`
  `default net.kyori.adventure.text.Component`
  `description()`
  `default Minigame`
  `manufacture()`
  `default Minigame`
  `manufacture(List<Option<?>> configuration)`
  `Minigame`
  `manufacture(Map<String,Option<?>> configuration)`
  `net.kyori.adventure.text.Component`
  `name()`
  `default net.minestom.server.item.Material`
  `symbol()`

- ## Method Details

  - ### name

    net.kyori.adventure.text.Component name()

  - ### configuration

    ConfigManager configuration()

  - ### symbol

    default net.minestom.server.item.Material symbol()

  - ### description

    default net.kyori.adventure.text.Component description()

  - ### manufacture

    Minigame manufacture(Map<String,Option<?>> configuration)

  - ### manufacture

    default Minigame manufacture(List<Option<?>> configuration)

  - ### manufacture

    default Minigame manufacture()